Đến nội dung


Hình ảnh

xin hỏi cách sửa block


  • Please log in to reply
11 replies to this topic

#1 sssssn

sssssn

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 November 2009 - 10:31 AM

Mình muốn hỏi 1 vấn đề như thế này. Ví dụ, mình có 1 block sau đó copy ra thành nhiều cái nữa để sắp xếp trong cad. nhưng mình muốn sửa 1 block trong số block đã tạo mà không cần explode. mình đã sử dụng lệnh refedit nhưng khi sửa 1 block thì tất cả những block còn lại đểu sửa lại y như thế.hic :tongue2: . có bác nào biết không, chỉ cho mình với. xin cám ơn.
  • 0

#2 abcd

abcd

    biết lệnh erase

  • Members
  • PipPipPip
  • 108 Bài viết
Điểm đánh giá: 96 (tàm tạm)

Đã gửi 10 November 2009 - 01:50 PM

Mình muốn hỏi 1 vấn đề như thế này. Ví dụ, mình có 1 block sau đó copy ra thành nhiều cái nữa để sắp xếp trong cad. nhưng mình muốn sửa 1 block trong số block đã tạo mà không cần explode. mình đã sử dụng lệnh refedit nhưng khi sửa 1 block thì tất cả những block còn lại đểu sửa lại y như thế.hic :tongue2: . có bác nào biết không, chỉ cho mình với. xin cám ơn.


bạn có thể dùng lệnh Bedit để sửa rối save as thành 1 block với tên khác
  • 1

#3 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 November 2009 - 02:26 PM

bạn có thể dùng lệnh Bedit để sửa rối save as thành 1 block với tên khác

Bạn hãy tham khảo cái lisp này của bác Tue_NV đã post lên xem nhé.
http://www.cadviet.c...on_suite_v6.lsp
Nếu không đúng yêu cầu của bạn thì bạn cần nói rõ hơn là bạn cần sửa cái block đó như thế nào. Tốt nhất là bạn nên gửi bản vẽ cái block trước khi sửa và cái hình ảnh block bạn muốn có sau khi sửa bạn nhé. Hãy gửi bản vẽ dạng Cad2004 nhé.
Chúc bạn vui.
  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#4 bonghongthuytinh

bonghongthuytinh

    biết vẽ line

  • Members
  • PipPip
  • 27 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 10 November 2009 - 03:58 PM

Hãy gửi bản vẽ dạng Cad2004 nhé.
Chúc bạn vui.

đề nghị bác bình chuyển xang CAD đời cao hơn đi nhé, bác xài con 2004 hơi lâu rồi đấy
  • 1

#5 sssssn

sssssn

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 November 2009 - 08:18 PM

đây là file minh muốn hỏi http://www.cadviet.c...2/edit_blog.rar
mong các bác chỉ giúp.
  • 0

#6 trinhvqh

trinhvqh

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 408 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 10 November 2009 - 08:49 PM

http://www.cadviet.c...les/2/block.rar
  • 1

#7 sssssn

sssssn

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 12:08 PM

@trinhvqh: minh khong thay co muc "AEC modify tools" o dau ca ban a. minh dung cad 2010.
  • 0

#8 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 11 November 2009 - 01:54 PM

đề nghị bác bình chuyển xang CAD đời cao hơn đi nhé, bác xài con 2004 hơi lâu rồi đấy

bác Bình xài con 2004 là hoành tráng lắm rồi chứ mình thì dùng tới R14 lận đó :tongue2: . Quan trọng là khi mình nhờ mọi người giúp sao không làm cách nào để mọi người đều tiếp cận được với thông tin của mình 1 cách dể nhất. Khi dùng cad2007 thì việc lưu về định dạng cadr14 là quá đơn giản mà. Hãy quan niên rằng có người vẫn dùng cad đời thấp vì 1 lý do nào đó nhưng vẫn có khả năng giúp cho yêu cầu của bạn.
  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#9 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 11 November 2009 - 03:03 PM

Mình muốn hỏi 1 vấn đề như thế này. Ví dụ, mình có 1 block sau đó copy ra thành nhiều cái nữa để sắp xếp trong cad. nhưng mình muốn sửa 1 block trong số block đã tạo mà không cần explode. mình đã sử dụng lệnh refedit nhưng khi sửa 1 block thì tất cả những block còn lại đểu sửa lại y như thế.hic :tongue2: . có bác nào biết không, chỉ cho mình với. xin cám ơn.

Tue_NV có ý kiến như thế này :
1. Tạo 1 Block mới giống y block cũ nhưng có thêm thắt đối tượng gì là tuỳ bạn. Cái này Tue_NV gọi là Source object. Và Source object có điểm chèn giống y với các block cũ. (Block cũ gọi là destination object)

2. Ta thực hiện lệnh MAB (Matprop Block) : từ đối tượng Source object cho các destination object
Trong file mà bạn sssssn gửi mình thấy điểm chèn khá xa so với đối tượng, và mình đã làm lại và gửi file kèm theo hướng dẫn việc sử dụng Lisp MAB (Matprop Block)

File để thực hiện Lisp MAB đó đây : http://www.cadviet.c...2/edit_blog.dwg

Lisp đây . Các bạn thử nhé :


(defun c:mab(/ ent ss name tlx tly ang i n point)
(princ "\n Copyright by TUE_NV")
(command "undo" "be")
(setq ent (car(entsel "\n Pick chon Block source :")))
(prompt "\n Select destination objects :")
(setq ss (ssget '((0 . "INSERT"))) i 0 n (sslength ss))

(setq name (cdr (assoc 2 (entget ent))))
(setq tlx (cdr (assoc 41 (entget ent))))
(setq tly (cdr (assoc 42 (entget ent))))
(setq ang (cdr (assoc 50 (entget ent))))

(while (< i n)
(setq enti (ssname ss i))
(setq point (cdr (assoc 10 (entget enti))))
(command "insert" name point tlx tly ang)
(setq i (1+ i))
)

(command "erase" ss "")

(princ (strcat "\n Co " (itoa n) " doi tuong thay doi :"))
(command "undo" "end")
)


  • 1

#10 sssssn

sssssn

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 05:21 PM

làm như bác tue thì sẽ phải tạo 1 block khác giống cái muốn tạo rồi dùng lệnh MAB. nhưng mình muốn chỉnh sửa ngay block đó để cho nó vẫn thuộc block cũ chứ ko nhảy sang block khác. Cách mình muốn làm giống như video của bác Trinhvqh nhưng không thấy có mục "AEC modify tools" ở đâu cả. mong các bác chỉ giúp.
  • 0

#11 trinhvqh

trinhvqh

    biết lệnh block

  • Members
  • PipPipPipPipPipPip
  • 408 Bài viết
Điểm đánh giá: 222 (khá)

Đã gửi 11 November 2009 - 07:57 PM

:tongue2:
Bạn dùng Cad 2010 vẫn không có AEC Modify thì đúng rồi
Cái tôi dùng để tạo video trên là Autocad Architecture 2009 (ACA)
.....
Nhưng thôi, vấn đề nhỏ
Nếu để chuyển sang dùng ACA thì không đáng cho lắm
  • 0

#12 sssssn

sssssn

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 08:52 PM

vấn đề nhỏ là sao vậy? chán nhỉ, cad 2010 lại xóa bỏ cái công cụ như vậy sao?
  • 0